<?php

/**
 * Class that operate on table 'vatpayment'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2020-07-26 14:55
 */
class VatpaymentMySqlExtDAO extends VatpaymentMySqlDAO {

    public function queryAllGeneral($queryString) {
        $sql = 'SELECT  vatpayment.* ,u.employeename as username,s.savename
		FROM vatpayment
                        join user u      ON u.userid = vatpayment.userid
                        join save s      ON s.saveid = vatpayment.saveid
                        ' . $queryString . ' AND vatpayment.conditions = 0';
        //echo $sql . "<br/>";
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>